wake-up-neo.com

IntelliJ IDEA Fehler rendern

Ich versuche, IntelliJ IDEA für die Programmierung von Android einzurichten, aber ich kann die main.xml nicht rendern.

org.jetbrains.Android.uipreview.RenderingException: Diese Version von Die Rendering-Bibliothek ist neuer als Ihre Version von IntelliJ IDEE. Bitte aktualisieren Sie IntelliJ IDEA um org.jetbrains.Android.uipreview.RenderServiceFactory.loadLibrary (RenderServiceFactory.Java:158) beim org.jetbrains.Android.uipreview.RenderServiceFactory.create (RenderServiceFactory.Java:73) beim org.jetbrains.Android.sdk.AndroidTargetData.getRenderServiceFactory (AndroidTargetData.Java:132) beim org.jetbrains.Android.uipreview.RenderUtil.renderLayout (RenderUtil.Java:105) beim com.intellij.Android.designer.designSurface.AndroidDesignerEditorPanel $ 8.run (AndroidDesignerEditorPanel.Java:346) beim com.intellij.util.ui.update.MinningUpdateQueue.execute (MinningUpdateQueue.Java:320) beim com.intellij.util.ui.update.MinningUpdateQueue.execute (MinningUpdateQueue.Java:310) beim com.intellij.util.ui.update.MinningUpdateQueue $ 2.run (Zusammenführen vonUpdateQueue.Java:254) beim com.intellij.util.ui.update.MinningUpdateQueue.flush (Zusammenführen vonUpdateQueue.Java:269) beim com.intellij.util.ui.update.MinningUpdateQueue.flush (Zusammenführen vonUpdateQueue.Java:227) beim com.intellij.util.ui.update.MinningUpdateQueue.run (Zusammenführen vonUpdateQueue.Java:217) at com.intellij.util.Alarm $ Request $ 1.run (Alarm.Java:289) um Java.util.concurrent.Executors $ RunnableAdapter.call (Executors.Java:471) at Java.util.concurrent.FutureTask $ Sync.innerRun (FutureTask.Java:334) at Java.util.concurrent.FutureTask.run (FutureTask.Java:166) um Java.util.concurrent.ThreadPoolExecutor.runWorker (ThreadPoolExecutor.Java:1110) beim Java.util.concurrent.ThreadPoolExecutor $ Worker.run (ThreadPoolExecutor.Java:603) bei Java.lang.Thread.run (Thread.Java:722)

enter image description here

Dies ist die Ausnahme, die ich bekomme, wenn ich versuche, die main.xml mit dem Android GUI Designer (IntelliJ Utility) zu öffnen. Ich habe die neueste IDE -Version, daher weiß ich nicht, was hier passiert.

61
Jesus

IDEA hat noch keine Render-Version für 4.3. Versuchen Sie, eine Android-Version auszuwählen, die in der Dropdown-Liste in der Vorschau unter 4.3 liegt. Für mich geht das. 

134
Bersh

Öffnen Sie in der Vorschau-Registerkarte einfach die letzte Dropdown-Liste und wählen Sie das niedrigere Android-SDK aus. In meinem Fall habe ich Android 4.4.2 ausgewählt und die Vorschau wurde sofort angezeigt. 

72
sandalone

Es scheint eine Inkompatibilität zwischen IDEA und der neuesten Version der Android SDK Build-Tools (18.1) zu geben. Die Installation der etwas älteren Version 18.0.1 sollte das Problem beheben.

5
Lennart

Öffnen Sie in der Vorschau-Registerkarte einfach die letzte Dropdown-Liste und wählen Sie das niedrigere Android-SDK aus. In meinem Fall habe ich Android 4.4.2 ausgewählt und die Vorschau wurde sofort angezeigt. 

für mich geht das 

0
tgfmis